libvisio::VSDOutputElement Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libvisio::VSDOutputElement Class Referenceabstract
Inheritance diagram for libvisio::VSDOutputElement:

## Public Member Functions
| VSDOutputElement ()
virtual | ~VSDOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0
virtual VSDOutputElement * | clone ()=0

## Constructor & Destructor Documentation

libvisio::VSDOutputElement::VSDOutputElement | ( |  | ) |
| inline

virtual libvisio::VSDOutputElement::~VSDOutputElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDOutputElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDCloseUnorderedListLevelOutputElement, libvisio::VSDOpenUnorderedListLevelOutputElement, libvisio::VSDCloseListElementOutputElement, libvisio::VSDOpenListElementOutputElement, libvisio::VSDEndTextObjectOutputElement, libvisio::VSDCloseParagraphOutputElement, libvisio::VSDCloseSpanOutputElement, libvisio::VSDInsertTabOutputElement, libvisio::VSDInsertLineBreakOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDOpenSpanOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDOpenParagraphOutputElement, libvisio::VSDStartTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDPathOutputElement, and libvisio::VSDStyleOutputElement.

Referenced by ~VSDOutputElement().

virtual void libvisio::VSDOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| pure virtual

Implemented in libvisio::VSDCloseUnorderedListLevelOutputElement, libvisio::VSDOpenUnorderedListLevelOutputElement, libvisio::VSDCloseListElementOutputElement, libvisio::VSDOpenListElementOutputElement, libvisio::VSDEndTextObjectOutputElement, libvisio::VSDCloseParagraphOutputElement, libvisio::VSDCloseSpanOutputElement, libvisio::VSDInsertTabOutputElement, libvisio::VSDInsertLineBreakOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDOpenSpanOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDOpenParagraphOutputElement, libvisio::VSDStartTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDPathOutputElement, and libvisio::VSDStyleOutputElement.

Referenced by libvisio::VSDCloseListElementOutputElement::~VSDCloseListElementOutputElement(), libvisio::VSDCloseParagraphOutputElement::~VSDCloseParagraphOutputElement(), libvisio::VSDCloseSpanOutputElement::~VSDCloseSpanOutputElement(), libvisio::VSDCloseUnorderedListLevelOutputElement::~VSDCloseUnorderedListLevelOutputElement(), libvisio::VSDEndLayerOutputElement::~VSDEndLayerOutputElement(), libvisio::VSDEndTextObjectOutputElement::~VSDEndTextObjectOutputElement(), libvisio::VSDGraphicObjectOutputElement::~VSDGraphicObjectOutputElement(), libvisio::VSDInsertLineBreakOutputElement::~VSDInsertLineBreakOutputElement(), libvisio::VSDInsertTabOutputElement::~VSDInsertTabOutputElement(), libvisio::VSDInsertTextOutputElement::~VSDInsertTextOutputElement(), libvisio::VSDOpenListElementOutputElement::~VSDOpenListElementOutputElement(), libvisio::VSDOpenParagraphOutputElement::~VSDOpenParagraphOutputElement(), libvisio::VSDOpenSpanOutputElement::~VSDOpenSpanOutputElement(), libvisio::VSDOpenUnorderedListLevelOutputElement::~VSDOpenUnorderedListLevelOutputElement(), ~VSDOutputElement(), libvisio::VSDPathOutputElement::~VSDPathOutputElement(), libvisio::VSDStartLayerOutputElement::~VSDStartLayerOutputElement(), libvisio::VSDStartTextObjectOutputElement::~VSDStartTextObjectOutputElement(), and libvisio::VSDStyleOutputElement::~VSDStyleOutputElement().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp